Qore HttpServer Module Reference: HttpServer Namespace Reference

Qore HttpServer Module Reference 0.3.10

- Main Page
- Related Pages
- Namespaces
- Classes

- Namespace List
- Namespace Members

All Classes Namespaces Functions Variables Groups Pages
Classes | Functions
HttpServer Namespace Reference

the main namespace for the HttpServer module More...

## Classes
class | AbstractAuthenticator
| abstract base class for external authentication More...
class | AbstractHttpRequestHandler
| abstract class that all HTTP request handler objects must inherit from More...
class | AbstractHttpSocketHandler
| abstract class that all HTTP dedicated socket handler objects must inherit from More...
class | AbstractStreamRequest
| abstract class for streaming HTTP chunked requests/responses More...
class | AbstractStreamRequestHandler
| abstract class for embedded objects serving streaming requests More...
class | AbstractUrlHandler
| abstract class for HTTP request handlers anchored at a specific URL More...
class | HttpListener
| this class implements the listeners for the HttpServer class More...
class | HttpServer
| The HttpServer class implements a multithreaded HTTP server primarily designed for serving RPC-style services. More...

## Functions
string | get_exception_string (hash ex)
| returns a multi-line string from the exception hash argument suitable for logging or output on the console More...
hash | parse_uri_query (string path)
| parses a URI path for a arguments and a method; where the method is the part of the path before the first `"?"` character, and arguments are after More...

## Detailed Description

the main namespace for the HttpServer module

To use this module, use `"%requires HttpServer"` in your code.

See examples/httpserver.q for an example program using this module

All the public symbols in the module are defined in this namespace

## Function Documentation

string HttpServer::get_exception_string | ( | hash | ex | ) |

returns a multi-line string from the exception hash argument suitable for logging or output on the console

Parameters

  ex | the exception hash to process

Returns
  a multi-line string from the exception hash argument suitable for logging or output on the console

Note
  reexported from the Util module

hash HttpServer::parse_uri_query | ( | string | path | ) |

parses a URI path for a arguments and a method; where the method is the part of the path before the first `"?"` character, and arguments are after

Parameters

  path | the URI path to parse

Returns
  a hash with the following keys:
  - `method:` (string) the part of the path before the first `"?"` character or the entire path if no `"?"` character is present in the path
  - `params:` (hash, assuming all values are key/value pairs like `"key=value"`, otherwise it will be a list) optional, only if a "?" character is present in the input; the part of the path after the first `"?"` character; arguments should be separated by ";" characters (according to a w3c recommendation: http://www.w3.org/TR/1999/REC-html401-19991224/appendix/notes.html#h-B.2.2), however this function supports both `";"` and `"&"` as argument separators